package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.DmpDeviceType;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备信息类型 服务类
 * </p>
 *
 * @author ya
 * @since 2023-06-06
 */
public interface DmpDeviceTypeService extends CrudService<DmpDeviceType> {
    void add(DmpDeviceType dmpDeviceType);

    boolean checkNameUnique(DmpDeviceType dmpDeviceType);

    boolean checkTypeCodeUnique(DmpDeviceType dmpDeviceType);

    void edit(DmpDeviceType dmpDeviceType);

    void remove(Integer id);

    CommonPage<DmpDeviceType> getDeviceTypeList(String typeCode, String typeName, Integer typeDomain, Integer pageNum, Integer pageSize);

    List<DmpDeviceType> tenantIdDeviceTypeList();

    List<Map<String, Object>> getDeviceTypeImges(List<Integer> deviceTypes);

}
